Bug 1434745 - Review Request: uom-parent - Units of Measurement Project Parent POM
Summary: Review Request: uom-parent - Units of Measurement Project Parent POM
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1429804 1434749
TreeView+ depends on / blocked
 
Reported: 2017-03-22 09:56 UTC by Nathan Scott
Modified: 2018-12-04 13:54 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-01 08:09:38 UTC
hegjon: fedora-review+


Attachments (Terms of Use)

Description Nathan Scott 2017-03-22 09:56:36 UTC
Spec URL: https://bintray.com/pcp/f25/download_file?file_path=uom-parent.spec
SRPM URL: https://bintray.com/pcp/f25/download_file?file_path=uom-parent-1.0.3-2.fc25.src.rpm
Description:
Main parent POM for all Units of Measurement Maven projects.
Fedora Account System Username: brolley, lberk, nathans

Comment 1 Jonny Heggheim 2017-06-28 07:54:42 UTC
As a suggestion for future review requests, I would make the URLs so that they can be downloaded with the fedora-review command line.

I am getting this error, so I need to download them manually:
$ fedora-review -b 1434745
INFO: Processing bugzilla bug: 1434745
INFO: Getting .spec and .srpm Urls from : 1434745
ERROR: 'Cannot find source rpm URL'

Comment 2 Jonny Heggheim 2017-06-28 16:43:21 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated", "*No copyright* BSD
     (unspecified)". 3 files have unknown license. Detailed output of
     licensecheck in /home/jonny/tmp/review-uom-parent/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: uom-parent-1.0.3-2.fc27.noarch.rpm
          uom-parent-1.0.3-2.fc27.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
uom-parent (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools



Provides
--------
uom-parent:
    mvn(tec.uom:uom-parent:pom:)
    uom-parent



Source checksums
----------------
https://github.com/unitsofmeasurement/uom-parent/archive/1.0.3/uom-parent-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 146b4670d9f42008fcdbac7b99326df3b74c6e64be53896ea63c7d6ee2d1a6c3
  CHECKSUM(SHA256) upstream package : 146b4670d9f42008fcdbac7b99326df3b74c6e64be53896ea63c7d6ee2d1a6c3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -n uom-parent
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jonny Heggheim 2017-06-28 16:57:57 UTC
> [!]: Latest version is packaged.
Consider upgrading to latest version.


Consider adding requires on sonatype-parent:
> + BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
> - %pom_remove_parent

Comment 4 Jonny Heggheim 2017-06-28 16:58:23 UTC
Review approved

Comment 5 Jonny Heggheim 2017-06-28 16:59:47 UTC
Can you review bug 1464797? Just a simple package with no build. Thanks

Comment 6 Nathan Scott 2017-06-29 06:38:29 UTC
| Can you review bug 1464797? Just a simple package with no build. Thanks

Hi Jonny,  I'm just about to walk out the door for a couple weeks vacation - I will take a look when I get back though.  Please remind me if you don't hear from me; I'll be under a mail cloud for awhile, but would like to return the favour.  Thanks!

Comment 7 Gwyn Ciesla 2017-07-21 12:13:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/uom-parent


Note You need to log in before you can comment on or make changes to this bug.